package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag21Creator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = MT101AbsCreator.getTransactionReference();
        MT101AbsCreator.set("21", tag21Value);
    }
}
